/****************************************/
/*  Testbench for Half Subtractor       */
/****************************************/
module tb_hs;
   wire		   a, b;
   reg [1:0] tmp;
   wire      s, bor;

  hs U0 (.a(a), .b(b), .s(s), .bor(bor));

  initial 
     tmp = 2'b00;

  always 
     #10	tmp = tmp + 1;

  assign	a = tmp[1];
  assign	b = tmp[0];

endmodule