/*****************************/
/*       Code 15.13          */
/*****************************/
module fa_case (a, b, cin, sum, cout);
   input	a, b, cin;
   output	sum, cout;
   reg	  sum, cout;
   wire	[2:0]	tmp;

assign tmp = {a, b, cin};

always @(tmp) begin
	case (tmp)
		3'b000 : begin
			sum = 1'b0;
			cout = 1'b0;
		end
		3'b001 : begin
			sum = 1'b1;
			cout = 1'b0;
		end
		3'b010 : begin
			sum = 1'b1;
			cout = 1'b0;
		end
		3'b011 : begin
			sum = 1'b0;
			cout = 1'b1;
		end
		3'b100 : begin
			sum = 1'b1;
			cout = 1'b0;
		end
		3'b101 : begin
			sum = 1'b0;
			cout = 1'b1;
		end
		3'b110 : begin
			sum = 1'b0;
			cout = 1'b1;
		end
		3'b111 : begin
			sum = 1'b1;
			cout = 1'b1;
		end
		default: begin
			sum = 1'b0;
			cout = 1'b0;
		end
	endcase
end

endmodule