/*************************/
/*       Code 15.20      */
/*************************/
module add_sub_8b (a, b, mode, sum, cout);

  parameter       N=8;
  input	 [N-1:0]	a, b;
  input		        mode;
  output [N-1:0]	sum;
  output		      cout;
  wire	 [N-1:0]	tmp;

  assign	tmp = {8{mode}} ^ b;

  add_Nb #(N) U0 (
	                 .a(a),
	                 .b(tmp),
	                 .cin(mode),
	                 .sum(sum),
	                 .cout(cout)
	                );
endmodule