/******************************/
/*  Testbench for Code 15.25  */
/******************************/
module tb_mux4b_4to1_en;
                                               
   reg  [3:0]  a, b, c, d;                         
   reg  [1:0]  sel;                          
   reg         enable;                      
   wire [3:0]  out;
   
   mux4b_4to1_en U0 (.a(a), .b(b), .c(c), .d(d), .sel(sel), .enable(enable), .out(out));
   
   initial begin
   	  a = 4'b0001;
   	  b = 4'b0010;
   	  c = 4'b0100;
   	  d = 4'b1000;
   end
   
   always begin
   	       enable = 1'b0;
      #100 enable = 1'b1;
      #170;
   end	
   
   initial 
     sel = 2'b00;
   
   always 
     #25 sel = sel + 1;
   
endmodule