/*****************************/
/*       Code 15.22          */
/*****************************/
module mux8b_2to1_case (a, b, sel, out);
   input  [7:0]  a, b;              
   input          sel;              
   output [7:0]  out;
   reg	  [7:0]  out;
   
   always @(a or b or sel) begin
   	  case (sel)
   	    	    1 : out = b;
   		        0 : out = a;
   		  default : out = b;
   	  endcase
   end
   
endmodule