/*****************************/
/*       Code 15.26          */
/*****************************/
module enc_8to3_case (enc_in, enc_out);
  input  [7:0] enc_in;
  output [2:0] enc_out;
  reg    [2:0] enc_out;
    
  always @(enc_in) begin
     case (enc_in)
    	  8'h01 : enc_out = 0;
	      8'h02 : enc_out = 1;
	      8'h04 : enc_out = 2;  
	      8'h08 : enc_out = 3;
	      8'h10 : enc_out = 4;
	      8'h20 : enc_out = 5;
	      8'h40 : enc_out = 6;
	      8'h80 : enc_out = 7;
	    default : enc_out = 0;
     endcase
  end

endmodule		