/*****************************/
/*       Code 15.28          */
/*****************************/
module enc_8to3_for(enc_in, enc_out);
   
   input  [7:0] enc_in;
   output [2:0] enc_out;
   reg    [2:0] enc_out;
   reg    [7:0] temp;
   integer      i;
   
  always @(enc_in)
  begin
     temp = 8'b00000001;
     enc_out = 3'b000;
     for (i = 0; i < 8; i = i + 1) begin
        if(enc_in == temp)
       	   enc_out = i;
        temp = temp << 1;
     end
   end
   
endmodule