/*******************************/
/*  Testbench for Code 15.39   */
/*******************************/
module tb_alu_4b_sh;

	reg	[3:0] op_a, op_b;
	reg	[5:0] inst;
	wire[4:0] alu_out;

   alu_4b_sh U0 (.op_a(op_a), .op_b(op_b), .inst(inst), .alu_out(alu_out));
   
   initial begin
   	op_a = 4'b1001;
   	op_b = 4'b0011;
   end
   
   initial
     inst = 6'b000000;
   
   always begin
   	if (inst[3:0] <= 4'b1100)
   	   	#20 inst = inst + 1'b1;
   	else
   	begin
   		inst[3:0] = 4'b1100;
   		inst[5:4] = inst[5:4] + 1'b1;
   	end
   end
   
endmodule