/*****************************/
/*       Code 15.16-(4)      */
/*****************************/
module fs_case (a, b, bin, sub, borrow);
   input	a, b, bin;
   output	sub, borrow;
   reg	  sub, borrow;
   wire	[2:0]	tmp;

assign tmp = {a, b, bin};

always @(tmp) begin
	case (tmp)
		3'b000 : begin
			sub = 1'b0;
			borrow = 1'b0;
		end
		3'b001 : begin
			sub = 1'b1;
			borrow = 1'b1;
		end
		3'b010 : begin
			sub = 1'b1;
			borrow = 1'b1;
		end
		3'b011 : begin
			sub = 1'b0;
			borrow = 1'b1;
		end
		3'b100 : begin
			sub = 1'b1;
			borrow = 1'b0;
		end
		3'b101 : begin
			sub = 1'b0;
			borrow = 1'b0;
		end
		3'b110 : begin
			sub = 1'b0;
			borrow = 1'b0;
		end
		3'b111 : begin
			sub = 1'b1;
			borrow = 1'b1;
		end
		default: begin
			sub = 1'b0;
			borrow = 1'b0;
		end
	endcase
end

endmodule