/*****************************/
/*       Code 15.16-(3)      */
/*****************************/
module fs_if (a, b, bin, sub, borrow);
   input	a, b, bin;
   output	sub, borrow;
   reg  	sub, borrow;

always @(a or b or bin) begin
  if (b == bin)
     sub = a;
  else
     sub = ~a;
     
  if (a == 1'b0)
     borrow = b | bin;
  else
     borrow = b & bin;
     
end

endmodule