/*************************/
/*       Code 15.19      */
/*************************/
module add_8b (a, b, sum, cout);

    parameter        N = 8;
    input    [N-1:0] a, b;
    output   [N-1:0] sum;
    output	         cout; 

// N-bit ripple-carry addition   
  add_Nb #(N) U0_add_Nb (  
              .a   (a),
              .b   (b),
              .cin (1'b0),
              .sum (sum),
              .cout(cout) ); 
 
endmodule