/*******************************/
/*  Testbench for Code 15.30   */
/*******************************/
module tb_enc_16to4_en;
                                              
   reg  [15:0] enc_in;                      
   reg         enable;                     
   wire [3:0]  enc_out;
   
   enc_16to4_en U0 (.enc_in(enc_in), .enable(enable), .enc_out(enc_out));
   
   initial enc_in = 16'h0001;
   always begin
     if (!enc_in[15])
       #20 enc_in = enc_in << 1;
     else
       #20 enc_in = 16'h0001;
   end
   
   initial 
   begin
       	enable = 1'b0;
   #390	enable = 1'b1;
   end
   
endmodule
   
