/*****************************/
/*       Code 15.36-(2)      */
/*****************************/
module bcd_seg_dec_if (bcd_in, seg_data, seg_com);

   input  [3:0]  bcd_in;
   output [7:0]  seg_com;
   output [7:0]  seg_data;
  
   function	[7:0]	bcd_to_seg;
     input	[3:0]	bcd_in;
   begin
		        if (bcd_in == 0)	bcd_to_seg = 8'b0011_1111;
		   else if (bcd_in == 1)	bcd_to_seg = 8'b0000_0110;
		   else if (bcd_in == 2)	bcd_to_seg = 8'b0101_1011;
	     else if (bcd_in == 3)	bcd_to_seg = 8'b0100_1111;
		   else if (bcd_in == 4)	bcd_to_seg = 8'b0110_0110;
		   else if (bcd_in == 5)	bcd_to_seg = 8'b0110_1101;
		   else if (bcd_in == 6)	bcd_to_seg = 8'b0111_1101;
		   else if (bcd_in == 7)	bcd_to_seg = 8'b0000_0111;
		   else if (bcd_in == 8)	bcd_to_seg = 8'b0111_1111;
		   else if (bcd_in == 9)	bcd_to_seg = 8'b0110_0111;
		   else			              bcd_to_seg = 8'b0000_0000;
	 end
   endfunction

   assign seg_data = bcd_to_seg(bcd_in);
   assign seg_com=8'b1111_1110;

endmodule