/*****************************/
/*       Code 15.32          */
/*****************************/
module dec_3to8_case (dec_in, dec_out);
   input  [2:0] dec_in;
   output [7:0] dec_out;
   reg	  [7:0] dec_out;
     
   always @(dec_in) begin
      case (dec_in)
             0 : dec_out = 8'h01;
             1 : dec_out = 8'h02;
             2 : dec_out = 8'h04;
             3 : dec_out = 8'h08;
             4 : dec_out = 8'h10;
             5 : dec_out = 8'h20;
             6 : dec_out = 8'h40;
             7 : dec_out = 8'h80;
        default: dec_out = 8'h00;
      endcase
    end
  
endmodule