/*****************************/
/*       Code 15.31          */
/*****************************/
module dec_3to8_if (dec_in, dec_out);
   input  [2:0] dec_in;
   output [7:0] dec_out;
   
   reg	[7:0] dec_out;
  
  always @(dec_in)  begin
      if     (dec_in == 0)	dec_out = 8'h01;
      else if(dec_in == 1)	dec_out = 8'h02;
      else if(dec_in == 2)	dec_out = 8'h04;
      else if(dec_in == 3)	dec_out = 8'h08;
      else if(dec_in == 4)	dec_out = 8'h10;
      else if(dec_in == 5)	dec_out = 8'h20;
      else if(dec_in == 6)	dec_out = 8'h40;
      else  		          	dec_out = 8'h80;
  end
  
endmodule