/*****************************/
/*       Code 15.42          */
/*****************************/
module cnt_one_segdis (data_word, seg_com, seg_data);           

`include "bcd_to_seg.v"                                                                
`include "count_ones.v"

   input  [7:0]  data_word;                                     
   output [7:0]  seg_com;
   output [7:0]  seg_data;
   reg    [3:0]  cnt_one;
   reg	  [7:0]	 seg_data;
   
   always @(data_word) begin
   	 count_ones (data_word, cnt_one);
   	 seg_data = bcd_to_seg(cnt_one);
   end
   
   assign seg_com = 8'b0111_1111;   
    
endmodule                                                       